Skip to main content
POST
/
index.php
/
api
/
dakota
cURL
curl --request POST \
  --url https://marketplace-as-a-service.herokuapp.com/index.php/api/dakota \
  --header 'Content-Type: text/plain' \
  --header 'Oauth-Token: <api-key>' \
  --data '<JSON example>'

Documentation Index

Fetch the complete documentation index at: https://docs.dakota.com/llms.txt

Use this file to discover all available pages before exploring further.

How to Use

  1. Copy any of the JSON examples below.
  2. Go to the API playground by clicking on the “Try it” button.
  3. Paste the JSON into the request body field.
  4. Click “Send” button to execute the request.

Examples

Count Location (Dakota Recommends) Records

{
  "module": "location",
  "count_only": true
}

List All Location (Dakota Recommends) Records

{
  "module": "location"
}

List Location (Dakota Recommends) Records with Specific Fields

{
  "module": "location",
  "filters": {
    "fields": [
      "name",
      "type__c",
      "city__c",
      "status__c",
      "website__c",
      "lastmodifieddate"
    ],
    "order_by": "lastmodifieddate:DESC",
    "max_num": "10"
  }
}

Filter Location (Dakota Recommends) by Type

{
  "module": "location",
  "filters": {
    "filter": [
      {
        "type__c": {
          "$equals": "Hotel"
        }
      }
    ]
  }
}

Filter Location (Dakota Recommends) by City

{
  "module": "location",
  "filters": {
    "filter": [
      {
        "city__c": {
          "$equals": "Charlotte"
        }
      }
    ]
  }
}

Filter Location (Dakota Recommends) by Date Modified Range

{
  "module": "location",
  "filters": {
    "filter": [
      {
        "lastmodifieddate": {
          "$between": ["2026-03-01T00:00:00+00:00", "2026-03-31T23:59:59+00:00"]
        }
      }
    ],
    "fields": ["name", "city__c", "type__c", "lastmodifieddate"]
  }
}

Authorizations

Oauth-Token
string
header
required

Get the OAuth token by calling the /oauth2 authentication API. Use the access_token from the response to authorize your API requests.

Body

text/plain

Copy any of the JSON examples and paste it into the request body field.